/*
 * JCuda - Java bindings for NVIDIA CUDA driver and runtime API
 *
 * Copyright (c) 2009-2016 Marco Hutter - http://www.jcuda.org
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class jcuda_nvrtc_JNvrtc */

#ifndef _Included_jcuda_nvrtc_JNvrtc
#define _Included_jcuda_nvrtc_JNvrtc
#ifdef __cplusplus
extern "C" {
#endif
    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    setLogLevel
    * Signature: (I)V
    */
    JNIEXPORT void JNICALL Java_jcuda_nvrtc_JNvrtc_setLogLevel
        (JNIEnv *, jclass, jint);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcGetErrorStringNative
    * Signature: (I)Ljava/lang/String;
    */
    JNIEXPORT jstring JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcGetErrorStringNative
        (JNIEnv *, jclass, jint);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcVersionNative
    * Signature: ([I[I)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcVersionNative
        (JNIEnv *, jclass, jintArray, jintArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcCreateProgramNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;Ljava/lang/String;Ljava/lang/String;I[Ljava/lang/String;[Ljava/lang/String;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcCreateProgramNative
        (JNIEnv *, jclass, jobject, jstring, jstring, jint, jobjectArray, jobjectArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcDestroyProgramNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcDestroyProgramNative
        (JNIEnv *, jclass, jobject);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcCompileProgramNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;I[Ljava/lang/String;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcCompileProgramNative
        (JNIEnv *, jclass, jobject, jint, jobjectArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcGetPTXSizeNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;[J)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcGetPTXSizeNative
        (JNIEnv *, jclass, jobject, jlongArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcGetPTXNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;[Ljava/lang/String;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcGetPTXNative
        (JNIEnv *, jclass, jobject, jobjectArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcGetProgramLogSizeNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;[J)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcGetProgramLogSizeNative
        (JNIEnv *, jclass, jobject, jlongArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcGetProgramLogNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;[Ljava/lang/String;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcGetProgramLogNative
        (JNIEnv *, jclass, jobject, jobjectArray);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcAddNameExpressionNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;Ljava/lang/String;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcAddNameExpressionNative
        (JNIEnv *, jclass, jobject, jstring);

    /*
    * Class:     jcuda_nvrtc_JNvrtc
    * Method:    nvrtcGetLoweredNameNative
    * Signature: (Ljcuda/nvrtc/nvrtcProgram;Ljava/lang/String;[Ljava/lang/String;)I
    */
    JNIEXPORT jint JNICALL Java_jcuda_nvrtc_JNvrtc_nvrtcGetLoweredNameNative
        (JNIEnv *, jclass, jobject, jstring, jobjectArray);

#ifdef __cplusplus
}
#endif
#endif
